### Function

# Gimp palette_entry_set_color

#### Declaration [src]

    gboolean
    gimp_palette_entry_set_color (
      const gchar* name,
      gint entry_num,
      const GimpRGB* color
    )

#### Description [src]

Sets the specified palette entry in the specified palette.

This procedure sets the color of the zero-based entry specified for the specified palette. It returns an error if the entry does not exist.

Available since: | 2.2

#### Parameters

`name` | `const gchar*`
| The palette name.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`entry_num` | `gint`
| The entry to retrieve.
`color` | `GimpRGB`
| The new color.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| TRUE on success.